libdvbv5 1.32.0 Library to work with Digital TV devices on Linux

dvb_parse_table Struct Reference
Channel and transponder file read/write

Describes the fields to parse on a file. More...

`#include <dvb-file.h>`

## Data Fields
unsigned int | prop
const char ** | table
unsigned int | size
int | mult_factor
int | has_default_value
int | default_value

## Detailed Description

Describes the fields to parse on a file.

Parameters

  prop | Name of the DVBv5 or libdvbv5 property field
  table | Name of a translation table for string to int conversion
  size | Size of the translation table
  mult_factor | Multiply factor - Used, for example, to multiply the symbol rate read from a DVB-S table by 1000.
  has_default_value | It is different than zero when the property can be optional. In this case, the next field should be present
  default_value | Default value for the optional field

Definition at line 165 of file dvb-file.h.

## Field Documentation

## ◆ default_value

int dvb_parse_table::default_value

Definition at line 171 of file dvb-file.h.

## ◆ has_default_value

int dvb_parse_table::has_default_value

Definition at line 170 of file dvb-file.h.

## ◆ mult_factor

int dvb_parse_table::mult_factor

Definition at line 169 of file dvb-file.h.

## ◆ prop

unsigned int dvb_parse_table::prop

Definition at line 166 of file dvb-file.h.

## ◆ size

unsigned int dvb_parse_table::size

Definition at line 168 of file dvb-file.h.

## ◆ table

const char** dvb_parse_table::table

Definition at line 167 of file dvb-file.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/dvb-file.h